build: off
clone_depth: 5

environment:
  # This sets the PHP version (from Chocolatey)
  PHPCI_CHOCO_VERSION: 7.2.10
  PHPCI_CACHE: C:\tools\phpci
  PHPCI_PHP: C:\tools\phpci\php
  PHPCI_COMPOSER: C:\tools\phpci\composer

cache:
  - '%PHPCI_CACHE%'

init:
  - SET PATH=%PHPCI_PHP%;%PHPCI_COMPOSER%;%PATH%
  - SET COMPOSER_HOME=%PHPCI_COMPOSER%\home
  - SET COMPOSER_CACHE_DIR=%PHPCI_COMPOSER%\cache
  - SET COMPOSER_NO_INTERACTION=1
  - SET PHP=0
  - SET ANSICON=121x90 (121x90)
  - SET SYMFONY_DEPRECATIONS_HELPER=weak_vendors

install:
  - IF EXIST %PHPCI_CACHE% (SET PHP=1)
  - IF %PHP%==0 cinst php -i -y --version %PHPCI_CHOCO_VERSION%  --params "/InstallDir:%PHPCI_PHP%"
  - IF %PHP%==0 cinst composer -i -y --ia "/DEV=%PHPCI_COMPOSER%"
  - IF %PHP%==0 cd %PHPCI_PHP%
  - IF %PHP%==0 copy php.ini-production php.ini
  - IF %PHP%==0 echo date.timezone="UTC" >> php.ini
  - IF %PHP%==0 echo extension_dir=ext >> php.ini
  - IF %PHP%==0 echo extension=php_curl.dll >> php.ini
  - IF %PHP%==0 echo extension=php_fileinfo.dll >> php.ini
  - IF %PHP%==0 echo extension=php_gd2.dll >> php.ini
  - IF %PHP%==0 echo extension=php_intl.dll >> php.ini
  - IF %PHP%==0 echo extension=php_mbstring.dll >> php.ini
  - IF %PHP%==0 echo extension=php_openssl.dll >> php.ini
  - IF %PHP%==0 (composer --version) ELSE (composer self-update)
  - cd %APPVEYOR_BUILD_FOLDER%
  - composer install --no-progress --no-suggest

test_script:
  - cd %APPVEYOR_BUILD_FOLDER%
  - vendor\bin\phpunit.bat
